import * as e from "react";
import "../config-provider/index.mjs";
import { ConfigContext as c } from "../config-provider/context.mjs";
const t = (a) => {
  let {
    children: r
  } = a;
  const {
    getPrefixCls: o
  } = e.useContext(c), s = o("breadcrumb");
  return /* @__PURE__ */ e.createElement("li", {
    className: `${s}-separator`,
    "aria-hidden": "true"
  }, r === "" ? r : r || "/");
};
t.__ANT_BREADCRUMB_SEPARATOR = !0;
const m = t;
export {
  m as default
};
